final: prev:
let
  rustPkgs = let
    overlay = import (prev.fetchFromGitHub {
      owner = "oxalica";
      repo = "rust-overlay";
      rev = "a2ccfb2134622b28668a274e403ba6f075ae1223";
      hash = "sha256-9honwiIeMbBKi7FzfEy89f1ShUiXz/gVxZSS048pKyc=";
    });
  in final.extend overlay;

  rust' = rustPkgs.rust-bin.nightly.latest.default;

in {
  lib = prev.lib.extend (import ./lib.nix);

  acpi_actor = final.callPackage ./packages/acpi_actor { };

  fontconfig_actor =
    final.callPackage ./packages/fontconfig_actor { };

  libnotify_actor =
    final.callPackage ./packages/libnotify_actor { };

    nix_actor = final.callPackage ./packages/nix_actor { };

    noiseprotocol = final.callPackage ./packages/nim/noiseprotocol { };

    syndicate_utils = final.callPackage ./packages/syndicate_utils-nim { };

    syndicated-open = final.callPackage ./packages/syndicated-open { };

  noise-c = final.callPackage ./packages/noise-c { };

  preserves-tools = final.callPackage ./packages/preserves-tools { };

  python3Packages = prev.python3Packages.overrideScope (final': prev': {
    preserves = final'.callPackage ./packages/preserves-py { };
    syndicate-py = final'.callPackage ./packages/syndicate-py { };
    synit-daemons = final'.callPackage ./packages/synit-daemons-py { };
  });

  sqlite_actor = final.callPackage ./packages/sqlite_actor { };

  squeak = final.callPackage ./packages/squeak { };
  squeaker = final.python3Packages.callPackage ./packages/squeaker { };

  syndicate-server =
    final.callPackage ./packages/syndicate-server { rust = rust'; };

  synit-pid1 = final.callPackage ./packages/synit-pid1 { };

  xapian_actor = final.callPackage ./packages/xapian_actor { };
}
