{ lib, buildNimPackage, fetchFromGitea, fetchFromGitHub, boost, nix, pkg-config
}:

let
  nix' = nix.overrideAttrs (final: prev: {
    src = fetchFromGitHub {
      owner = "NixOS";
      repo = "nix";
      rev = "2.13.3";
      hash = "sha256-jUc2ccTR8f6MGY2pUKgujm+lxSPNGm/ZAP+toX+nMNc=";
    };
  });
in buildNimPackage rec {
  pname = "nix_actor";
  version = "20231009";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-+wMhpmC1233Ze4+xnd5sNnIfsXkGEx67bZN3oMYu2EQ=";
  };

  lockFile = "${src}/lock.json";

  propagatedNativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ boost nix' ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
