# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchFromGitea, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.41.0";
  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = "syndicate-rs";
    rev = "${pname}-v${version}";
    sha256 = "sha256-5FYmQorUWZjbgUT9RRSkT4mNi498dS2Ho5r/pI3mNXg=";
  };
  cargoHash = "sha256-Z/QwpBwogTJzbd2r27W8biATcbYbKRJZkhdd4v+l/fk=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    mainProgram = "syndicate-server";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
